Responder 
 
Avaliação do Tópico:
  • 0 Votos - 0 Média
  • 1
  • 2
  • 3
  • 4
  • 5
Problema com instalação do apache
04/07/2008, 19:05
Resposta: #1
Problema com instalação do apache
Estava querendo remover o apache do meu debian 4 etch, pois havia feito um monte de coisa errada nas configurações, e queria que ficasse o default para poder começar tudo denovo.
Porem eu usei o apt-get remove apache 2, só que eu não oberservei que havia dado erro no comando.

assim começou o vacilo....

fui na pasta "/etc", e o apache estava la, adivinha o que eu fiz rm -R.
fiz o mesmo na pasta /var/www.

depois disso quando faço "apt-get install apache2" , acontece o que estou mandando no print screen, e o apache não é instaldo mais.

Arquivo anexado.

[Imagem: foto-362.jpg]
Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
04/07/2008, 22:01
Resposta: #2
 
Tente remover o apache de novo:

Código:
aptitude purge apache2

[Imagem: debianuseruserbarsp1.png]
[Imagem: gnomeuserqj9.jpg]
Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
04/07/2008, 22:25
Resposta: #3
 
Continua com o mesmo problema, eu usei este comando só que , ao usar o apt-get install apache 2, ele continua não aparecendo no /etc e nos outros diretorios , ele continua com aquela mensagem de que 16 pacotes não foram atualizados.

[Imagem: foto-363.jpg]

Arquivo anexado.
Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
05/07/2008, 12:07
Resposta: #4
 
remova o pacote apache2.2-common e reinstale-o.

Código:
aptitude purge apache2.2-common
(alguns pacotes serão desinstalados).


Código:
aptitude install apache2.2-common

[Imagem: debianuseruserbarsp1.png]
[Imagem: gnomeuserqj9.jpg]
Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
05/07/2008, 12:09
Resposta: #5
 
charles braw Escreveu:Continua com o mesmo problema, eu usei este comando só que , ao usar o apt-get install apache 2, ele continua não aparecendo no /etc e nos outros diretorios , ele continua com aquela mensagem de que 16 pacotes não foram atualizados.

[Imagem: foto-363.jpg]

Arquivo anexado.

tente forçar a reinstalação, edite o arquivo /var/lib/dpkg/status localize a linha onde está escrito o nome do pacote apache2: Package: apache2 e logo abaixo altere o status do pacote apache2 para purge ok not-installed
salve e feche e tente novamente instalar o apache.

"Na caixa dizia: Requer MS Windows ou superior, então eu instalei Debian/GNU
Linux!"

.
Antes de postar use a busca e veja o Wiki.
Busca do FD
Wiki do FD
Visitar o website do usuário Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
10/07/2008, 09:36
Resposta: #6
 
Entrei neste diretorio e o status ja esta desta maneira.

Continuo não conseguindo instalar mais o apache, vou instalar o grupo LAMP.
Porem o apache não esta sendo instalado. Continua sempre esta mensagem do screen dizendo que 16 arquivos não foram atualizados
Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
11/07/2008, 11:21
Resposta: #7
 
dá o comando abaixo e veja na linha de dependencias quais são e reinstale e ou purge elas:
# aptitude show apache2

"Na caixa dizia: Requer MS Windows ou superior, então eu instalei Debian/GNU
Linux!"

.
Antes de postar use a busca e veja o Wiki.
Busca do FD
Wiki do FD
Visitar o website do usuário Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
11/07/2008, 16:25
Resposta: #8
 
Quais comandos devo tentar depois de mostrar estas dependencias
Executei o comando aqui e estou te mandando a saida no print screen

[Imagem: foto-364.jpg]
Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
11/07/2008, 16:33
Resposta: #9
 
charles braw Escreveu:Entrei neste diretorio e o status ja esta desta maneira.

Continuo não conseguindo instalar mais o apache, vou instalar o grupo LAMP.
Porem o apache não esta sendo instalado. Continua sempre esta mensagem do screen dizendo que 16 arquivos não foram atualizados

explica direito isso, o comando aptitude show está mostrando o apache instalado e vc disse acima que no /var/lib/dpkg/status está com purge ok not-installed ?

"Na caixa dizia: Requer MS Windows ou superior, então eu instalei Debian/GNU
Linux!"

.
Antes de postar use a busca e veja o Wiki.
Busca do FD
Wiki do FD
Visitar o website do usuário Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
11/07/2008, 16:41
Resposta: #10
 
è porque depois daquele post eu tentei instalar denovo só que não criou o etc, nem o www.

agora o status esta como install ok installed.
Porem não tem os diretorios do apache.


Não vou repetir a tentativa agora vou aguardar sua sugestão.







[Imagem: foto-365.jpg]
Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
11/07/2008, 21:23
Resposta: #11
 
verifique o estado destes outros 2 pacotes:
apache2-utils apache2.2-common
veja se estão instalados ou tente reinstala-los.

"Na caixa dizia: Requer MS Windows ou superior, então eu instalei Debian/GNU
Linux!"

.
Antes de postar use a busca e veja o Wiki.
Busca do FD
Wiki do FD
Visitar o website do usuário Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
14/07/2008, 10:28
Resposta: #12
 
instalei via aptitude install pacote

Ainda não funcionou ...

quais os melhores comandos para instalar estes pacotes com dependencias??

Valeu.
Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
14/07/2008, 10:58
Resposta: #13
 
dmatrix Escreveu:verifique o estado destes outros 2 pacotes:
apache2-utils apache2.2-common
veja se estão instalados ou tente reinstala-los.

tente aplicar o mesmo procedimento de mudar o status destes dois pacotes para purge ok not-installed e instalar, depois verifique se o apache está ok.

"Na caixa dizia: Requer MS Windows ou superior, então eu instalei Debian/GNU
Linux!"

.
Antes de postar use a busca e veja o Wiki.
Busca do FD
Wiki do FD
Visitar o website do usuário Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
14/07/2008, 20:45
Resposta: #14
 
blza dmatrix.

Agora foi.

Executei o aptitude purge apache2.2-common novamente.

depois fiz o

aptitude install apache2.2-common

logo depois eu fiz outro update no sistema

e por ultimo aptitude reinstall apache2

Agora foi, Valeu pela força.
Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
Responder 


Ir ao Fórum:


Usuários visualizando este tópico: 1 Visitantes

Entre em Contato | Fórum Debian | Voltar ao Topo | Voltar ao Conteúdo | Modo Leve (Arquivo) | Feeds RSS